package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class SendApplyBean {

    /**
     * records : [{"createdBy":null,"createdByName":null,"createdTime":"2020-04-09 16:41:35","updatedBy":null,"updatedByName":null,"updatedTime":null,"commenceFromId":null,"createdType":null,"id":73,"orderId":"SO10761","orderType":"SO","status":"0","applyRemark":"","auditRemark":null,"serialNumber":"SDI20040916413573","deptIdList":null,"ownId":null,"trackingNumber":"3","logisticsId":44,"totalWeight":35,"fareMoney":111,"payer":"2","sendOutStoreApplyItemList":null,"createdUser":"Likai","updatedUser":null,"transitPartName":"圆通物流1","customerName":null,"stockName":null,"receiveDeptName":"铝碳公司"}]
     * total : 1
     * size : 10
     * current : 1
     * orders : []
     * searchCount : true
     * pages : 1
     */

    private int total;
    private int size;
    private int current;
    private boolean searchCount;
    private int pages;
    private List<RecordsBean> records;
    private List<?> orders;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public boolean isSearchCount() {
        return searchCount;
    }

    public void setSearchCount(boolean searchCount) {
        this.searchCount = searchCount;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public static class RecordsBean {
        /**
         * createdBy : null
         * createdByName : null
         * createdTime : 2020-04-09 16:41:35
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * commenceFromId : null
         * createdType : null
         * id : 73
         * orderId : SO10761
         * orderType : SO
         * status : 0
         * applyRemark :
         * auditRemark : null
         * serialNumber : SDI20040916413573
         * deptIdList : null
         * ownId : null
         * trackingNumber : 3
         * logisticsId : 44
         * totalWeight : 35.0
         * fareMoney : 111.0
         * payer : 2
         * sendOutStoreApplyItemList : null
         * createdUser : Likai
         * updatedUser : null
         * transitPartName : 圆通物流1
         * customerName : null
         * stockName : null
         * receiveDeptName : 铝碳公司
         */

        private Object createdBy;
        private Object createdByName;
        private String createdTime;
        private String updatedBy;
        private String updatedByName;
        private String updatedTime;
        private Object commenceFromId;
        private Object createdType;
        private int id;
        private String orderId;
        private String orderType;
        private String status;
        private String applyRemark;
        private String auditRemark;
        private String serialNumber;
        private Object deptIdList;
        private Object ownId;
        private String trackingNumber;
        private int logisticsId;
        private double totalWeight;
        private double fareMoney;
        private String payer;
        private Object sendOutStoreApplyItemList;
        private String createdUser;
        private String updatedUser;
        private String transitPartName;
        private Object customerName;
        private Object stockName;
        private String receiveDeptName;

        public Object getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(Object createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(String updatedBy) {
            this.updatedBy = updatedBy;
        }

        public String getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(String updatedByName) {
            this.updatedByName = updatedByName;
        }

        public String getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(String updatedTime) {
            this.updatedTime = updatedTime;
        }

        public Object getCommenceFromId() {
            return commenceFromId;
        }

        public void setCommenceFromId(Object commenceFromId) {
            this.commenceFromId = commenceFromId;
        }

        public Object getCreatedType() {
            return createdType;
        }

        public void setCreatedType(Object createdType) {
            this.createdType = createdType;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public String getOrderType() {
            return orderType;
        }

        public void setOrderType(String orderType) {
            this.orderType = orderType;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getApplyRemark() {
            return applyRemark;
        }

        public void setApplyRemark(String applyRemark) {
            this.applyRemark = applyRemark;
        }

        public String getAuditRemark() {
            return auditRemark;
        }

        public void setAuditRemark(String auditRemark) {
            this.auditRemark = auditRemark;
        }

        public String getSerialNumber() {
            return serialNumber;
        }

        public void setSerialNumber(String serialNumber) {
            this.serialNumber = serialNumber;
        }

        public Object getDeptIdList() {
            return deptIdList;
        }

        public void setDeptIdList(Object deptIdList) {
            this.deptIdList = deptIdList;
        }

        public Object getOwnId() {
            return ownId;
        }

        public void setOwnId(Object ownId) {
            this.ownId = ownId;
        }

        public String getTrackingNumber() {
            return trackingNumber;
        }

        public void setTrackingNumber(String trackingNumber) {
            this.trackingNumber = trackingNumber;
        }

        public int getLogisticsId() {
            return logisticsId;
        }

        public void setLogisticsId(int logisticsId) {
            this.logisticsId = logisticsId;
        }

        public double getTotalWeight() {
            return totalWeight;
        }

        public void setTotalWeight(double totalWeight) {
            this.totalWeight = totalWeight;
        }

        public double getFareMoney() {
            return fareMoney;
        }

        public void setFareMoney(double fareMoney) {
            this.fareMoney = fareMoney;
        }

        public String getPayer() {
            return payer;
        }

        public void setPayer(String payer) {
            this.payer = payer;
        }

        public Object getSendOutStoreApplyItemList() {
            return sendOutStoreApplyItemList;
        }

        public void setSendOutStoreApplyItemList(Object sendOutStoreApplyItemList) {
            this.sendOutStoreApplyItemList = sendOutStoreApplyItemList;
        }

        public String getCreatedUser() {
            return createdUser;
        }

        public void setCreatedUser(String createdUser) {
            this.createdUser = createdUser;
        }

        public String getUpdatedUser() {
            return updatedUser;
        }

        public void setUpdatedUser(String updatedUser) {
            this.updatedUser = updatedUser;
        }

        public String getTransitPartName() {
            return transitPartName;
        }

        public void setTransitPartName(String transitPartName) {
            this.transitPartName = transitPartName;
        }

        public Object getCustomerName() {
            return customerName;
        }

        public void setCustomerName(Object customerName) {
            this.customerName = customerName;
        }

        public Object getStockName() {
            return stockName;
        }

        public void setStockName(Object stockName) {
            this.stockName = stockName;
        }

        public String getReceiveDeptName() {
            return receiveDeptName;
        }

        public void setReceiveDeptName(String receiveDeptName) {
            this.receiveDeptName = receiveDeptName;
        }
    }
}
